Page MenuHomePhabricator

elm_scroller: remove unnecessary code
AbandonedPublic

Authored by YOhoho on Aug 10 2018, 9:37 AM.

Details

Summary

This patch fixes T7274

Test Plan

popup_example03

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 7311
Build 6983: arc lint + arc unit
YOhoho created this revision.Aug 10 2018, 9:37 AM
YOhoho requested review of this revision.Aug 10 2018, 9:37 AM

@bu5hm4n
Why we need to call elm_widget_show_region_set?

Actually i don't understand what elm_widget_show_region_set works

bu5hm4n accepted this revision.Aug 10 2018, 10:15 AM

This call should ensure that the widget that got focus is really visible on the screen, like two scrollers in each other, or a item in a toolbar in a scroller.

But what this shows is that this is broken a lot.
To me this patch is fine. @akaned should have the last say however.

This revision is now accepted and ready to land.Aug 10 2018, 10:15 AM
zmike requested changes to this revision.Aug 20 2018, 10:06 AM

The commit log for this patch needs more info, e.g., "what is the purpose of this patch" "why is this patch needed". Tickets may not always be able to be accessed, so providing only a ticket reference will not be as valuable in the future.

This revision now requires changes to proceed.Aug 20 2018, 10:06 AM
YOhoho abandoned this revision.Sep 5 2018, 4:14 AM

see D6987 instead